﻿:root {
    --main-bg-color: #fafafa;
    --text-color: #000000;
    --border-color: #CBCBCB;
    --highlight-color: #f5f5f5;
    --button-hover-bg: #e5e5e5;
    --link-color: #5100b3;
    --link-hover-color: #350074;
    --padding-small: 4px;
    --padding-medium: 9px;
    --font-small: 80%;
    --font-medium: 1em;
    --font-large: 120%;
}

body {
    background-color: var(--main-bg-color);
    min-width: 16em;
}

* {
    font-family: Arial, Helvetica, Verdana, Geneva, Sans-serif;
    font-size: var(--font-medium);
    color: var(--text-color);
    box-sizing: border-box;
}

h1 {
    font-size: var(--font-large);
}

@media only screen and (max-width: 18.75em) {
    *:not(body) {
        word-break: break-word !important;
        min-width: unset !important;
    }
}

@media only screen and (max-width: 21em) {
    .buttonsControlColumn .control:has(>input+input) .exportBlock {
        width: 100% !important;
        margin-top: var(--padding-small);
    }
}

.flexRow input, .flexRow select {
    flex: 1;
}

.flexLabel {
    flex: 1.5;
    margin-right: var(--padding-small);
    word-break: break-word;
}

.required:after {
    content: "*";
}

.flexColumn.main > * {
    padding: var(--padding-small);
}

.flexColumn.main {
    padding-right: 5px;
    flex: 1;
}

.maxWidthLimitation {}

.quickSearches {}

.buttonsControlRow {}

.buttonsControlColumn {
    flex: 1 !important;
}

.buttonsControlColumn > .control {
    align-items: flex-end;
    width: 100% !important;
    padding: var(--padding-small) var(--padding-medium) var(--padding-small) var(--padding-small);
}

.buttonsControlColumn input {
    max-width: fit-content;
}

.buttonsControlColumn input + input {
    margin-left: var(--padding-small);
}

.flexColumn.main:nth-child(3) {}

.flexColumn.main:nth-child(2) {}

.hidden, .flexColumn.main:not(:has(.control)) {
    display: none !important;
}

.searchConditionsBlock {
    max-width: max-content;
}

.mainRow {
    flex-wrap: nowrap;
}

input[type=button], input[type=submit] {
    min-height: 1.5em;
}

select, input:not([type=checkbox]), textarea {
    max-height: fit-content;
    min-width: 1.5em !important;
    border: 1px solid #777;
    border-radius: 2px;
}

input[type=checkbox] {
    min-width: 1em;
    min-height: 1em;
}

.labelledDateInput span,
.labelledDateInput label {
    padding-right: var(--padding-small) !important;
    min-width: 3em;
}

select, input[type=text], input[type=date], textarea {
    width: 12em;
    min-width: 11.4em !important;
    min-height: 1.8em;
    padding: 3.5px 2px 3.5px 2px !important;
}

select:disabled {
    color: #555;
    border-color: #555;
}

input[type=date] {
    min-width: 9em !important;
    width: auto !important;
}

.doubleDateControl {
    border: 1px solid var(--border-color);
    padding: var(--padding-small) var(--padding-small) 2px var(--padding-small) !important;
    flex-wrap: nowrap;
    width: 100%;
}

.labelledDateInput {
    margin-left: 0.7em;
    margin-bottom: var(--padding-small);
    flex-wrap: wrap;
    flex: 1;
    align-items: center;
}

.labelledDateInput * {
    padding-right: 0px;
    padding-left: 0px;
    margin-right: 0px !important;
}

.labelledDateInput input {
    flex-basis: 50% !important;
}

.doubleDateControl > span {
    margin-bottom: 2px;
}

.doubleDateControl * {
    padding-top: 0px;
    padding-bottom: 0px;
}

.labelledCheckboxControl * {
    flex-direction: row !important;
    flex-wrap: nowrap;
    width: auto !important;
}

.labelledCheckboxControl {
    flex-direction: row !important;
    align-items: center !important;
    flex-wrap: nowrap !important;
}

.labelledCheckBox {
    flex: 0 !important;
    margin-right: var(--padding-small);
}

.txtDisabledColor {
    overflow: auto;
    border: none;
    background-color: var(--highlight-color);
}

.img {
    border: 0;
}

input[type="text"] {
    background-color: #fffffe;
    border-style: solid;
    border-width: 1px;
    border-color: Gray;
}

input[readonly="readonly"] {
    background-color: #fffffe;
}

textarea {
    background-color: #fffffe;
}

.exportBlock {
    display: flex;
    flex-wrap: nowrap;
    margin-left: auto;
    flex: none !important;
    width: auto !important;
}

input[type=button]:not(.commonIcon):hover, input[type=submit]:not(.commonIcon):hover {
    background-color: var(--button-hover-bg) !important;
}

.commonIcon:hover {
    filter: brightness(0.9) contrast(1.1);
}

.iconLock:hover {
    filter: none;
}

.commonIcon {
    width: 1.5em;
    min-height: 1.5em;
    height: 1.5em;
    border: none !important;
    background-size: auto 1.5em;
    background-color: transparent !important;
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    text-decoration: none;
    vertical-align: text-top;
    text-indent: -9000px;
    text-transform: capitalize;
}

.excelCsvExport {
    background-image: url("../images/csv.svg");
}

.excelTabExport {
    background-image: url("../images/xls.svg");
}

.wordExport {
    background-image: url("../images/doc.svg");
}

.textTabExport {
    background-image: url("../images/txt.svg");
}

.iconLock {
    background-image: url("../images/padlock.svg");
    width: 1.1em;
    height: 1.1em;
    min-width: 1.1em;
    min-height: 1.1em;
    background-size: auto 1.1em;
}

@font-face {
    font-family: "LogoFont";
    src: url("./LogoFont.woff") format("woff");
}

.fpColor, a {
    color: var(--link-color);
}

a:hover {
    color: var(--link-hover-color);
}

.logoContainer {
    display: flex;
    flex-direction: column;
    margin-bottom: 1em;
    font-family: "LogoFont";
}

.productLogo {
    font-size: 3em;
    white-space: nowrap;
    letter-spacing: -0.8px;
}

#mainDiv {
    padding: 5px;
    border: 1px solid var(--border-color);
    background-color: var(--highlight-color);
    width: fit-content;
    min-width: 63em;
}

#mainDiv:focus-visible {
    border: solid 1px #D090DF;
    outline: none;
}

.flexRow, .flexRowControl {
    display: flex;
    flex-direction: row;
    align-items: baseline;
}

.flexRowControl {
    align-items: center;
    flex-wrap: wrap;
}

.flexColumn {
    display: flex;
    flex-direction: column;
}

.control {
    margin-right: 0.2em;
    max-height: fit-content;
}

.checkboxesDiv {
    align-items: flex-start;
}

.labelledSpanControl {
    flex-direction: column;
    align-items: flex-start;
    padding-top: 0.5em !important;
}

.accessibilityHeader {
    min-width: 10em !important;
    flex: 0.5 !important;
}

.labelForSpan,
.accessibilityHeader .personalHeaderView,
.accessibilityHeader .personalHeaderRead {
    color: #555;
    font-size: var(--font-small);
    padding-bottom: 1px !important;
}

.labelledSpanUl {
    list-style: none;
    padding: 0px;
    margin: 0px;
}

.indentedText {
    display: block;
    text-indent: -9000px;
    height: 0px;
    max-height: 0px;
}

.headerWrapper {
    padding-left: var(--padding-small);
}

.headerWrapper * {
    margin: 2px -4px;
    padding: 4px;
}

.hitsWrapper {
    padding: 0px 0px 6px 4px;
}

.selfLink:hover:after, .selfLink:focus:after {
    content: "§";
    text-decoration: none;
    margin-left: 2px;
}

.mainRow:has(>.main:only-child) > .flexColumn.main {
    flex-direction: row;
    padding-right: 0px;
    flex-basis: 50% !important;
    flex-wrap: wrap;
}

.mainRow:has(>.main:only-child) > .flexColumn.main > .control {
    flex-basis: 30%;
    max-width: 33%;
}

.mainRow:has(>.main:only-child) > .flexColumn.main > .control * {
    width: 100%;
}

.mainRow:has(>.main:only-child) > .flexColumn.main:has(>.control:nth-child(2):last-child) > .control,
.mainRow:has(>.main:only-child) > .flexColumn.main:has(>.personSectionHeader):has(>.control:nth-child(3):last-child) > .control {
    max-width: 49%;
}

.mainRow:has(>.main:only-child) > .flexColumn.main:has(>.control:only-child) > .control {
    max-width: 40em;
}

.flexRow:has(>.main:only-child) *:not(.personSection):not(.personSectionHeaderText) {
    width: 100% !important;
    flex: 1;
    flex-wrap: wrap;
}

.flexRow.mainRow:not(:has(.main:nth-child(2))) .flexLabel {
    flex: 1;
    flex-grow: 0.5;
}

.mainRow:has(>.main.maxWidthLimitation + .main.maxWidthLimitation) > .main {
    max-width: fit-content;
    flex-basis: 0%;
}

@media only screen and (max-width: 64em) {
    .mainRow:has(>.main:only-child) > .flexColumn.main > .control {
        flex-basis: 30%;
        flex-direction: column;
        max-width: 33%;
    }

    #mainDiv:has(.main.ownBasis),
    #mainDiv:has(.main.maxWidthLimitation + .main.maxWidthLimitation),
    #mainDiv:has(.main.maxWidthLimitation + .main.maxWidthLimitation) .searchConditionsBlock,
    #mainDiv:has(.main:only-child)
    #mainDiv:has(.main:only-child) .searchConditionsBlock {
        max-width: none;
        width: auto;
        min-width: initial !important;
    }

    .mainRow {
        flex-wrap: wrap;
    }

    .mainRow:has(>.main.maxWidthLimitation + .main.maxWidthLimitation) > .main > .flexRowControl {
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
    }

    .mainRow:has(>.main.maxWidthLimitation + .main.maxWidthLimitation) > .main > .flexRowControl * {
        width: 100%;
    }

    .flexRow * {
        flex: 1;
        flex-wrap: wrap;
    }

    .mainRow:has(>.main.maxWidthLimitation + .main.maxWidthLimitation) > .main:not(.ownBasis) {
        flex-basis: 32%;
        max-width: none !important;
    }
}

@media only screen and (max-width: 50em) {
    #mainDiv, .searchConditionsBlock {
        max-width: none;
        width: auto;
        min-width: initial;
    }

    .flexColumn.main > .flexRowControl {
        flex-direction: column;
        align-items: flex-start;
    }

    .flexColumn.main > .flexRowControl * {
        width: 100%;
    }

    .flexColumn.main:not(.ownBasis) {
        flex-basis: 33% !important;
        max-width: none !important;
    }

    .flexColumn.main:nth-child(n+3) {
        flex-direction: row !important;
        flex-basis: 50% !important;
    }

    .flexColumn.main:nth-child(n+3):not(.maxWidthLimitation) {
        padding-right: 0px;
    }

    .flexColumn.main:nth-child(n+3) > .flexRowControl {
        flex-basis: 49%;
        max-width: calc(49% + 4px);
    }

    .mainRow:has(>.main:only-child) > .flexColumn.main > .control {
        flex-basis: 49% !important;
        max-width: 49% !important;
    }

    .mainRow:has(>.main:only-child) > .flexColumn.main > .doubleDateControl {
        margin-right: 8px !important;
        margin-left: 4px !important;
        margin-top: -1px !important;
        max-width: calc(50% - 12px) !important;
    }

    #mainDiv:has(.main.maxWidthLimitation + .main.maxWidthLimitation + .main.maxWidthLimitation) .exportBlock {
        padding-right: 3px;
    }

    .secrecyColumnValue {
        min-width: 9em !important;
    }
}

@media only screen and (max-width: 36em) {
    .flexColumn.main, .flexRow.mainRow:not(.buttonsControlRow), .flexColumn.main:nth-child(3) {
        flex-direction: column !important;
        flex-basis: 100% !important;
    }

    .flexColumn.main, .flexRow.mainRow, .flexColumn.main:nth-child(3) * {
        width: 100%;
    }

    .flexColumn.main:nth-child(n+3) > .flexRowControl {
        max-width: none !important;
    }

    .mainRow:has(>.main:only-child) > .flexColumn.main > .control {
        flex-basis: 0% !important;
        max-width: 100% !important;
    }
    #mainDiv:has(.main.maxWidthLimitation + .main.maxWidthLimitation + .main.maxWidthLimitation) .exportBlock {
        padding-right: 0px;
    }
}

@media only screen and (max-width: 425px) {
    .productLogo {
        font-size: 2em;
        white-space: normal;
    }
}

@media only screen and (max-width: 12em) {
    .accessibilityHeader, .secrecyColumnValue {
        min-width: unset !important;
    }
}

.companyLogo {
    color: black;
    letter-spacing: -0.4px;
    font-size: var(--font-medium);
    margin-top: -0.5em;
}

.visuallyHidden {
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    margin: -1px;
}

.visibleWhenFocused:focus {
    clip: auto;
    height: auto;
    overflow: visible;
    position: static;
    white-space: normal;
    width: auto;
    margin: auto;
}

.bypassBlockLink:focus {
    position: absolute;
    text-decoration: none;
    background: #ffffcc;
    padding: 0.2em;
    z-index: 10;
}

@media only screen and (prefers-color-scheme: dark) {
    :root {
        --text: #fff;
        --bg: #000;
    }

    .bypassBlockLink:focus {
        background: #333;
    }

    * {
        color: #f7f7f7;
    }

    body {
        background-color: #222;
        color: #f7f7f7;
    }

    .fpColor, a {
        color: #dda1ee;
    }

    .companyLogo {
        color: #ddd;
    }

    #mainDiv {
        background-color: #333;
        border-color: #555;
    }

    .iconLock {
        background-image: url("../images/padlock-white.svg");
    }

    .excelCsvExport {
        background-image: url("../images/csv-white.svg");
    }

    .excelTabExport {
        background-image: url("../images/xls-white.svg");
    }

    .wordExport {
        background-image: url("../images/doc-white.svg");
    }

    .textTabExport {
        background-image: url("../images/txt-white.svg");
    }

    select, input, textarea, hr {
        background-color: #555 !important;
        border: 1px solid rgb(118, 118, 118);
        color-scheme: dark;
    }

    input[type=button]:not(.commonIcon):hover, input[type=submit]:not(.commonIcon):hover {
        background-color: #666 !important;
    }

    .commonIcon:hover {
        filter: brightness(1.1) contrast(1.1);
    }

    .iconLock:hover {
        filter: none;
    }

    a:hover {
        color: #eed0f7;
    }

    .labelForSpan,
    .accessibilityHeader .personalHeaderView,
    .accessibilityHeader .personalHeaderRead {
        color: #aaa;
    }

    select:disabled {
        color: #aaa;
        border-color: #666;
    }
}
